.report-container {
  padding-bottom: 100px;
  section {
    padding: 0 0 40px 0;
  }
  .section-title {
    color: #383b3f;
    font-size: 20px;
    font-weight: 700;
  }
  .card-gutter-10 {
    padding: 10px;
  }

  .gutter-between-box {
    margin: 15px;
  }

  // Shortcut
  .shortcuts {
    .section-title {
      padding-left: 10px;
      margin: 0;
    }
    .text {
      font-size: 18px;
      font-weight: 600;
      color: #858890;
    }
    svg {
      fill: #2245ed;
    }
    .short-cut-disabled {
      pointer-events: none;
      opacity: 0.5;
      cursor: pointer;
      -webkit-filter: grayscale(1);
      filter: grayscale(1);
    }
  }

  // Cutout section
  .campaign-report-cutout {
    padding-top: 20px;
    .section-title {
      padding-left: 10px;
      margin: 0;
    }
    p {
      margin: 0;
    }
    .ant-card-bordered {
      border: 2px solid #e5e9ec;
      box-shadow: none !important;
    }
    .ant-card {
      background-color: transparent !important;
    }
    .cutout-box {
      text-align: center;
      line-height: 1;
      .sans-serif-number {
        font-family: sans-serif;
        font-weight: 700;
        letter-spacing: 2px;
      }
    }
    .violet-box {
      .violet-text {
        font-size: 30px;
        color: #383b3f;
      }
      .violet-number {
        font-size: 70px;
        color: #2245ed;
        padding-bottom: 5px;
      }
    }
    .navy-box {
      .navy-number {
        color: #0da9f7;
        font-size: 45px;
      }
      .navy-text {
        font-size: 24px;
        padding-top: 5px;
      }
    }
  }

  // Payment section
  .campaign-report-payments {
    .ant-table-column-title {
      font-size: 12px;
      color: #5b5e62;
      font-weight: normal;
    }
    .ant-card-bordered {
      border: 2px solid #e5e9ec;
      background-color: #f7fafd;
      box-shadow: none !important;
    }
    .ant-table-tbody tr td:first-of-type {
      padding: 9px !important;
    }
    .ant-table-thead th:first-of-type {
      padding-left: 18px !important;
    }
    .ant-table-placeholder {
      height: 150px;
    }
    .ant-tabs-nav {
      .ant-tabs-tab {
        padding-top: 0 !important;
      }
    }

    .payment-box {
      margin: 0 10px;
      backface-visibility: hidden;
      .blue-title {
        color: #026bfa;
        margin: 0;
        font-size: 40px;
        font-weight: 600;
      }
      .payment-desc {
        font-size: 20px;
      }
      .product-text {
        font-size: 18px;
        color: #5b5e62;
      }
    }

    .payment-influencers-wrapper {
      th,
      td {
        width: 33%;
      }
    }

    .payment-influencers-wrapper,
    .product-influencers-wrapper {
      .product-name-wrapper {
        img {
          width: 35px;
          height: 35px;
          border-radius: 5px;
        }
      }
      .product-cost-wrapper {
        color: #026bfa;
        font-weight: 700;
        font-size: 18px;
      }
    }

    .payment-collabs-wrapper {
      .value-desc {
        color: #858890;
      }
      .payment-collabs-card-inside.ant-card-bordered {
        background-color: #fff;
        border: 1px solid #e5e9ec;
        h3 {
          margin: 0;
          color: #383b3f;
          font-size: 24px;
        }
        span {
          color: #026bfa;
          font-weight: 700;
          font-size: 26px;
          padding-top: 21px;
        }
      }
    }
  }
  // Campaign data
  .campaign-data {
    .section-title {
      padding-left: 10px;
      margin: 0;
    }
    .ant-tooltip-content {
      .ant-tooltip-inner {
        white-space: nowrap !important;
      }
    }
    .card-container {
      width: 100%;
    }
    .ant-card-bordered {
      box-shadow: none !important;
    }
    .ant-tabs-nav-wrap {
      > div {
        display: flex;
        justify-content: center;
      }
    }
    .ant-btn {
      border: 50%;
      background-color: transparent !important;
      border: none !important;
      padding-left: 0;
      padding-right: 0;
    }
    .card-container p {
      height: 25px;
    }
    .card-container > .ant-tabs-card .ant-tabs-content > .ant-tabs-tabpane {
      position: relative;
    }
    .card-container > .ant-tabs-card > .ant-tabs-nav::before {
      display: none;
    }
    .card-container > .ant-tabs-card .ant-tabs-tab {
      border-color: transparent;
      background: transparent;
      font-size: 14px;
    }
    .card-container > .ant-tabs-card .ant-tabs-tab-active {
      background: #00c155;
      border-radius: 13px;
      height: 26px;
      color: #fff;
      line-height: 24px;
    }
    .ant-progress-circle .ant-progress-text {
      color: #fff;
      font-size: 10px;
    }
    .ant-progress-outer {
      display: inline-block;
      width: 100%;
      margin-right: 0 !important;
      padding-right: 0 !important;
      .ant-progress-inner {
        overflow: hidden;
      }
    }
    .ant-tabs-bar {
      border-bottom: none;
      margin-bottom: 0;
    }
    .ant-tooltip-inner {
      white-space: nowrap !important;
    }
    .anticon svg {
      display: none !important;
    }
    .influ-performance-box {
      .ant-progress-text {
        visibility: hidden;
      }
      .ant-card-body {
        overflow: auto;
      }
      .performance-title {
        color: #fff;
        font-size: 20px;
      }
      .per-mini-text {
        margin: 0;
        position: relative;
        top: -25px;
        font-size: 12px;
        color: #9ea4ab;
      }
      .per-progress {
        padding: 0 20px;
        .ant-progress-inner {
          .ant-progress-bg {
            border-radius: 0 !important;
          }
        }
      }
      .performance-percent-text {
        color: #9d9fa7;
        font-size: 16px;
        font-weight: normal;
      }
      .percent-score-header {
        color: #fff;
        margin: 0;
      }
      .circle-progress {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        width: 153px;
        height: 153px;
        border: double 7px transparent;
        border-radius: 50%;
        background-image: linear-gradient(#1d2029, #1d2029), radial-gradient(circle at top left, #93a0e6, #ffffff);
        background-origin: border-box;
        background-clip: content-box, border-box;
        h2 {
          color: #fff;
          margin: 0;
          line-height: 35px;
          padding-top: 25px;
        }
        p {
          color: #9d9fa7;
        }
      }
    }

    .influ-result-box {
      .result-title {
        position: absolute;
        top: 25px;
        font-size: 20px;
      }
      .circle-button-wrapper {
        width: 100%;
        position: absolute;
        top: 0;
        bottom: 0;
        height: 242px;
      }
      .circle-chart-container {
        display: flex;
        flex-direction: column-reverse;
        width: 10px !important;
      }
      .circle-chart-wrapper {
        display: flex;
        justify-content: space-between;
        padding-right: 22px;
        padding-left: 10px;
        height: 242px;
        width: 100%;
        position: absolute;
        top: 8px;
      }
      .line-container {
        .dashedBox {
          height: 40px;
          &:last-child {
            height: 0;
          }
        }
        .line {
          background-image: linear-gradient(to right, transparent 50%, #00c155 50%);
          background-size: 20px 100%;
          height: 1px;
        }
      }
    }
  }

  // Assignment result section
  .assignment-result-container {
    .ant-spin-container {
      border-radius: 10px;
      overflow: hidden;
    }
    p {
      color: #383b3f;
      margin-bottom: 0;
      font-size: 18px;
    }
    th {
      font-size: 14px;
    }

    .anticon-line {
      svg {
        fill: #383b3f;
      }
    }

    .assignment-to-post {
      text-transform: uppercase;
      padding: 6px 15px;
      font-size: 15px;
      font-weight: 700;
    }
    .product-post-type {
      color: #026bfa;
      text-transform: capitalize;
    }
  }

  // Influencer performance
  .influencer-performance {
    .ant-card-body {
      padding-left: 0;
      padding-right: 0;
    }
    .influ-performance-box {
      padding: 0 30px 0 30px;
    }
    .ant-avatar {
      height: 50px;
      width: 50px;
      line-height: 40px;
      i {
        display: inline-block;
        margin-left: 6px;
      }
    }
    .engagement-box {
      .ant-avatar {
        border: 5px solid #e5f8f2;
      }
    }
    .like-and-comment-box {
      .ant-avatar {
        border: 5px solid #fbe5e5;
      }
    }
    .impression-box {
      .ant-avatar {
        border: 5px solid #e3f2fb;
      }
    }
    .influ-progess-container {
      position: relative;
      .influ-progess-outer {
        width: 75%;
        height: 50px;
        border-radius: 100px;
        position: relative;
        overflow: hidden;
      }
      .influ-progess-inner {
        height: 50px;
        border-radius: 100px;
        position: absolute;
      }
      .influ-progess-value {
        width: 25%;
        display: flex;
        justify-content: flex-end;
      }
      .influ-progess-name {
        position: absolute;
      }
    }

    .influencer-rates {
      .influ-rate-progess-inner {
        background-color: #e5f8f2;
      }
      .anticon-thunderbolt {
        svg {
          fill: #fecf33;
        }
      }
      .anticon {
        margin-right: 6px;
      }
    }

    .influencer-engagements {
      .influ-like-progess-inner {
        background-color: #fbe5e5;
      }
      .anticon-heart {
        svg {
          fill: #d74664;
        }
      }
      .anticon {
        margin-right: 6px;
      }
    }

    .influencer-impressions {
      .influ-impression-progess-inner {
        background-color: #e3f2fb;
      }
      .anticon-rise {
        svg {
          fill: #00c155;
        }
      }
      .anticon {
        margin-right: 6px;
      }
    }
  }

  // Funnel chart
  .campaign-report-funnel-chart {
    .funnel-stats {
      > div:before {
        display: none;
      }
      > div h4 {
        height: 30px;
        font-size: 16px;
      }
    }
    .report-funnel-stats {
      overflow: scroll;
    }
  }

  // Influencer chart
  .top-influencer-chart-container {
    width: 100%;
    .scroll-content-wrapper {
      width: 100%;
      overflow: scroll;
    }
    .top-chart-impression-title {
      color: #267ff8;
    }
    .top-chart-engagement-title {
      color: #49b8fd;
    }
    .ant-card-body {
      padding-top: 0 !important;
      padding-bottom: 0 !important;
      padding-left: 30px;
    }
    ::-webkit-scrollbar {
      -webkit-appearance: none;
      height: 7px;
    }
    ::-webkit-scrollbar-thumb {
      border-radius: 4px;
      background-color: #7f8a98;
    }
    .top-chart-dot {
      margin-right: 10px;
      width: 10px;
      height: 10px;
      display: inline-block;
      border-radius: 50%;
    }
    .top-chart-blue-dot {
      color: #1554fb;
      background-color: #1554fb;
    }
    .top-chart-lightblue-dot {
      color: #49b8fd;
      background-color: #49b8fd;
    }
    .chart-absolute-box {
      position: relative;
      top: 20px;
    }
    .top-influ-chart-container {
      .top-influ-chart-main-content {
        display: inline-flex;
        padding: 0 20px;
        justify-content: space-around;
        min-width: 100%;
      }
      .chart-wrapper {
        display: flex;
        flex-direction: column;
        align-items: center;
        flex: 1;
        padding-top: 55px;
        padding-bottom: 33px;
        min-width: 130px;
        & + .chart-wrapper {
          border-left: dashed 2px rgba(4, 4, 4, 0.05);
        }
        &:first-child {
          border-left: dashed 2px rgba(4, 4, 4, 0.05);
        }
        .top-influ-info {
          padding-top: 20px;
          display: flex;
          align-items: center;
          flex-direction: column;
          max-width: 85%;
        }
        .insta-owner-name {
          font-weight: 700;
          margin: 10px 0 0;
          width: 100%;
          text-overflow: ellipsis;
          white-space: nowrap;
          overflow: hidden;
          text-align: center;
        }
      }
      .top-influ-chart-box {
        display: flex;
        .outer {
          width: 7px;
          height: 306px;
          border-radius: 10px;
          margin: 0 5px;
          display: flex;
          flex-direction: column-reverse;
        }
        .impression-outer {
          background-color: #e9efff;
        }
        .engagement-outer {
          background-color: #e1f3ff;
        }
        .impression-inner {
          background-color: #267ff8;
        }
        .engagement-inner {
          background-color: #49b8fd;
        }
        .inner {
          width: 7px;
          border-radius: 10px;
        }
        .top-chart-impression-value {
          color: #888a8d;
        }
      }
    }
  }

  // Comment section
  .internal-notes {
    max-width: 820px;
    margin: 0 auto;

    .ant-card-body {
      padding: 0;
    }
    .anticon-like {
      cursor: pointer;

      &:hover {
        svg {
          fill: #286df1;
        }
      }
    }
  }

  .comments-wrapper {
    border-bottom: 1px solid #dee4ea;
    margin: 5px 0 0;
    width: 100%;
    padding: 20px 25px 0;
  }

  .comments-container {
    > .ant-comment {
      padding: 20px 25px 15px;
    }

    i.anticon-ellipsis {
      font-size: 20px;
    }
    textarea.ant-input {
      margin-bottom: 0 !important;
    }
    .comment-action {
      padding-left: 8px;
      cursor: "auto";
    }
    [class*="-col-rtl"] .comment-action {
      padding-right: 8px;
      padding-left: 0;
    }
    .ant-comment-actions {
      li {
        padding-right: 10px;
      }
    }
    .ant-comment-inner {
      padding: 0;
    }
    .ant-comment-content {
      p {
        font-size: 16px !important;
      }
    }
    .comment-alone-container {
      .ant-comment {
        width: 100%;
      }
    }
    .main-comment-reply-container {
      .ant-comment {
        width: 100%;
      }
      > section {
        padding-left: 0;
      }
    }
    .ant-comment-content-author-time {
      color: gray;
      opacity: 0.8;
    }
    .ant-dropdown-trigger {
      height: 10px !important;
    }
  }

  // Campaign posts
  .campaign-posts-wrapper {
    .post-data {
      padding: 20px;
    }
    .ant-card-body {
      background: #f7fafd;
    }
    .post-copy {
      margin-bottom: 0;
      max-height: 220px;
      overflow: scroll;
    }
  }
}

@media (max-width: 475px) {
  .campaign-data {
    .p-container {
      flex-wrap: wrap;
    }
  }
}
